Get my current personal profile

Returns the profile of the currently authenticated user, including identity, organizational membership, and integration identifiers for connected services such as Slack.

Token scopes: worker:read, people:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
iddoubleOptional
Unique identifier for the user profile
emailstringOptional
Email address of the user
user_iddoubleOptional
Unique identifier for the user
usernamestringOptional
Username of the user
full_namestringOptional
Full name of the user
last_namestringOptional
Last name of the user
avatar_urlstring or nullOptional
URL of the user's avatar
first_namestringOptional
First name of the user
middle_namestring or nullOptional
Middle name of the user
hris_enabledboolean or nullOptional
HRIS feature enabled.
profile_typeenumOptional
Type of profile
slack_team_idstring or nullOptional
User's team slack id
slack_user_idstring or nullOptional
User's slack id
client_countrystring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Country code.
organization_iddoubleOptional
Unique identifier for the organization
organization_namestring or nullOptional
Name of the organization
contractor_countrystring or nullOptionalformat: "^[A-Z]{2}$"=2 characters
Country code.
hris_organization_user_idstring or nullOptionalformat: "uuid"
HRIS Organization User ID of the user. Used in products like Deel Engage.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error